package com.hw.tdengine.api.domain;

import com.hw.common.core.web.domain.BaseEntity;

import java.util.List;

/**
 * @Description: 设备状态对象
 * @ClassName: DeviceStatus
 * @Author : xins
 * @Date :2023-09-05  11:35
 * @Version :1.0
 */
public class DeviceStatus extends BaseEntity {

    private Long ts;

    private Long deviceId;

    private String deviceCode;

    private Integer deviceType;

    private Integer onlineStatus;

    private Long sceneId;

    private Long startTime;
    private Long endTime;

    private List<TdField> schemaFields;

    public Long getTs() {
        return ts;
    }

    public void setTs(Long ts) {
        this.ts = ts;
    }

    public Long getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public Integer getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(Integer deviceType) {
        this.deviceType = deviceType;
    }

    public Integer getOnlineStatus() {
        return onlineStatus;
    }

    public void setOnlineStatus(Integer onlineStatus) {
        this.onlineStatus = onlineStatus;
    }

    public Long getSceneId() {
        return sceneId;
    }

    public void setSceneId(Long sceneId) {
        this.sceneId = sceneId;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Long getEndTime() {
        return endTime;
    }

    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }

    public List<TdField> getSchemaFields() {
        return schemaFields;
    }

    public void setSchemaFields(List<TdField> schemaFields) {
        this.schemaFields = schemaFields;
    }
}
